package member

import (
	"testing"
	"encoding/json"
	"github.com/golang/glog"
	"fmt"
	"log"
	"git.loafle.net/overflow/overflow_proxy_service/proxy"

)

func TestMemberService_Login(t *testing.T) {

}

func TestMemberService_Regist(t *testing.T) {
	//m := &MemberService{
	//	Param: &Member{
	//		Email:"geek2@loafle.com",
	//		PwSalt:"qwer5795",
	//		Company:"Loafle",
	//		Name:"Geek",
	//		Phone:"010-4055-6699",
	//	},
	//}

	ms := NewMemberService()

	m := &Member{
		Email:"geek2@loafle.com",
		PwSalt:"qwer5795",
		Company:"Loafle",
		Name:"Geek",
		Phone:"010-4055-6699",
	}
	retMem, _ := ms.Regist(m)
	t.Log(retMem)
}

func TestMemberLogin(t *testing.T) {
	//m := &MemberService{
	//	Param:&Member{
	//		Email:"geek@loafle.com",
	//		PwSalt:"qwer5795",
	//	},
	//}
	ms := NewMemberService()
	m := &Member{
		Email:"geek@loafle.com",
		PwSalt:"qwer5795",
	}

	b, _ := ms.Login(m)
	t.Log("LOGIN RESULT : ", b)
}

func TestMemberService_Read(t *testing.T) {
	mm := make(map[string] string)
	mm["id"] = "12"
	rr, _ := proxy.InvokeDB(TARGET_DAO, "find", mm)

	log.Println(rr)
}

func TestMemberService_ReadByEmail(t *testing.T)  {
	ms := NewMemberService()
	m := &Member{
		Email:"geek@loafle.com",
	}
	mm := ms.getMemberMap(m)
	rr, _ := proxy.InvokeDB(TARGET_DAO, "findByEmail", mm)
	log.Println(rr)
}

func TestMemberUpdate(t *testing.T) {

	ms := NewMemberService()
	m := &Member{
		Id: "11",
		Email:"keeg@loafle.com",
	}
	mm := ms.getMemberMap(m)
	rr, _ := proxy.InvokeDB(TARGET_DAO, "update", mm)
	log.Println(rr)
}

func TestComvertJson(t *testing.T) {

	m := make(map[string]string)
	m["email"] = "geek@loafle.com"
	m["pwSalt"] = "qwer5795"
	ss := NewMemberService()

	paramStr, err := json.Marshal(m)
	if err != nil {
		glog.Fatal("Json Marshal Failed : ", err.Error())
	}
	fmt.Println(paramStr)
	fmt.Println(ss)
	// service converting
	//mem, _ := ss.GetModel()
	//err = json.Unmarshal(paramStr, mem)
	//if err != nil {
	//	glog.Fatal("Json Unmarshal Failed : ", err.Error())
	//}
	//fmt.Println(mem.(*Member).Email)
}