package utils

import (
	"encoding/json"
	"git.loafle.net/overflow/overflow_proxy_service/proxy"
)

func InvokeDB( db string, method string, obj interface{}) (string, error) {

	var m map[string]string = nil;

	if obj != nil {
		bytes, err := json.Marshal(obj)
		if err != nil {
			return "", err
		}

		m = make(map[string]string)

		m[GenerateModelStr(db)] = string(bytes)
	}


	out, err := proxy.InvokeDB(db, method, m)

	return out, err
}

func InvokeDBByModel( db string, method string, obj interface{}, model string) (string, error) {

	bytes, err := json.Marshal(obj)
	if err != nil {
		return "", err
	}

	m := make(map[string]string)

	m[model] = string(bytes)

	out, err := proxy.InvokeDB(db, method, m)


	return out, err
}